<?php
/**
 * @package     HikaShop for Joomla!
 * @version     2.4.1
 * @author		hikashop.com
 * @copyright   (C) 2010-2018 HIKARI SOFTWARE. All rights reserved.
 * @license     GNU/GPLv3 http://www.gnu.org/licenses/gpl-3.0.html
 *
 */
defined('_JEXEC') or die('Restricted access');

// Check that cURL is enabled, and that we have an API Key available
if(function_exists('curl_version') === true && isset($this->vars['api_user_key'])) {
	$form = array();

	// Initiate cURL to QuickPay API
	$handle = curl_init();
	$url    = "https://api.quickpay.net/payments/" . $this->vars['id'] . '/' . $this->vars['action'];

	// Set API Headers
	$header = array(
		'Authorization: Basic ' . base64_encode(":".$this->vars['api_user_key']),
		'Accept-Version:v10'
	);

	if($this->vars['action'] != 'cancel') {
		// Set API Form
		$form = array(
			'amount' => $this->vars['amount']
		);
	}


	// Set cURL Options
	curl_setopt_array($handle,
		array(
			CURLOPT_URL            => $url,
			CURLOPT_HTTPAUTH       => CURLAUTH_BASIC,
			CURLOPT_HTTPHEADER     => $header,
			CURLOPT_POST           => true,
			CURLOPT_POSTFIELDS     => $form,
			CURLOPT_RETURNTRANSFER => true
		)
	);

	// Execute cURL
	$data = curl_exec($handle);
	curl_close($handle);
}
?>
