<?php
/**
 * @package     HikaShop for Joomla!
 * @version     2.4.1
 * @author		hikashop.com
 * @copyright   (C) 2010-2018 HIKARI SOFTWARE. All rights reserved.
 * @license     GNU/GPLv3 http://www.gnu.org/licenses/gpl-3.0.html
 */
defined('_JEXEC') or die('Restricted access');
?><tr>
	<td class="key">
		<label for="data[payment][payment_params][url]"><?php
			echo JText::_( 'URL' );
		?></label>
	</td>
	<td>
		<input type="text" name="data[payment][payment_params][url]" value="<?php echo $this->escape(@$this->element->payment_params->url); ?>" />
	</td>
</tr>
<tr>
	<td class="key">
		<label for="data[payment][payment_params][merchant]"><?php
			echo JText::_( 'Merchant ID' );
		?></label>
	</td>
	<td>
		<input type="text" name="data[payment][payment_params][merchant]" value="<?php echo $this->escape(@$this->element->payment_params->merchant); ?>" />
	</td>
</tr>
<tr>
	<td class="key">
		<label for="data[payment][payment_params][agreement_id]"><?php
			echo JText::_( 'Agreement ID' );
		?></label>
	</td>
	<td>
		<input type="text" name="data[payment][payment_params][agreement_id]" value="<?php echo $this->escape(@$this->element->payment_params->agreement_id); ?>" />
	</td>
</tr>
<tr>
	<td class="key">
		<label for="data[payment][payment_params][private_key]"><?php
			echo JText::_( 'Private key' );
		?></label>
	</td>
	<td>
       <input type="text" name="data[payment][payment_params][private_key]" value="<?php echo $this->escape(@$this->element->payment_params->private_key); ?>" />
	</td>
</tr>
<tr>
	<td class="key">
		<label for="data[payment][payment_params][api_key]"><?php
			echo JText::_( 'API key - Payment Window' );
		?></label>
	</td>
	<td>
	<input type="text" name="data[payment][payment_params][api_key]" value="<?php echo $this->escape(@$this->element->payment_params->api_key); ?>" />
	</td>
</tr>
<tr>
	<td class="key">
		<label for="data[payment][payment_params][api_user_key]"><?php
			echo JText::_( 'API key - API user' );
		?></label>
	</td>
	<td>
	<input type="text" name="data[payment][payment_params][api_user_key]" value="<?php echo $this->escape(@$this->element->payment_params->api_user_key); ?>" />
	</td>
</tr>
<tr>
	<td class="key">
		<label for="data[payment][payment_params][testmode]"><?php
			echo JText::_( 'Test mode' );
		?></label>
	</td>
	<td>
		<input type="radio" name="data[payment][payment_params][testmode]" value="0" <?php if($this->element->payment_params->testmode==0) { ?> checked="checked" <?php } ?> /> No
		<input type="radio" name="data[payment][payment_params][testmode]" value="1" <?php if($this->element->payment_params->testmode==1) { ?> checked="checked" <?php } ?> /> Yes
		<?php echo '<p><small>Enabling test mode allows you to use the Test data from QuickPay, if Test mode is disabled, all transactions using the test data will be declined </small></p>'; ?>
	</td>
</tr>
<tr>
	<td class="key">
		<label for="data[payment][payment_params][cardtypelock]"><?php
			echo JText::_( 'Card type lock' );
		?></label>
	</td>
	<td>
       <input type="text" name="data[payment][payment_params][cardtypelock]" value="<?php echo $this->escape(@$this->element->payment_params->cardtypelock); ?>" />
	</td>
</tr>
<tr>
	<td class="key">
		<label for="data[payment][payment_params][orderid_prefix]"><?php
			echo JText::_( 'Prefix for order ID<br> - between 3 and 10 alphanumeric characters<br> (Also hyphen and underscore' );
		?></label>
	</td>
	<td>
       <input type="text" name="data[payment][payment_params][orderid_prefix]" minlength="3" maxlength="10" value="<?php echo $this->escape(@$this->element->payment_params->orderid_prefix); ?>" />
	</td>
</tr>
<tr>
	<td class="key">
		<label for="data[payment][payment_params][autocapture]"><?php
			echo JText::_( 'Auto capture' );
		?></label>
	</td>
	<td>
		<input type="radio" name="data[payment][payment_params][autocapture]" value="0" <?php if($this->element->payment_params->autocapture==0) { ?> checked="checked" <?php } ?>  /> No
		<input type="radio" name="data[payment][payment_params][autocapture]" value="1" <?php if($this->element->payment_params->autocapture==1) { ?> checked="checked" <?php } ?>  /> Yes
	</td>
</tr>
<tr>
	<td class="key">
		<label for="data[payment][payment_params][cancel_url]"><?php
			echo JText::_('CANCEL_URL');
		?></label>
	</td>
	<td>
		<input type="text" name="data[payment][payment_params][cancel_url]" value="<?php echo $this->escape(@$this->element->payment_params->cancel_url); ?>" />
	</td>
</tr>
<tr>
	<td class="key">
		<label for="data[payment][payment_params][return_url]"><?php
			echo JText::_('RETURN_URL');
		?></label>
	</td>
	<td>
		<input type="text" name="data[payment][payment_params][return_url]" value="<?php echo $this->escape(@$this->element->payment_params->return_url); ?>" />
	</td>
</tr>
<tr>
	<td class="key">
		<label for="data[payment][payment_params][invalid_status]"><?php
			echo JText::_('INVALID_STATUS');
		?></label>
	</td>
	<td><?php
		echo $this->data['order_statuses']->display("data[payment][payment_params][invalid_status]", @$this->element->payment_params->invalid_status);
	?></td>
</tr>
<tr>
	<td class="key">
		<label for="data[payment][payment_params][pending_status]"><?php
			echo JText::_('PENDING_STATUS');
		?></label>
	</td>
	<td><?php
		echo $this->data['order_statuses']->display("data[payment][payment_params][pending_status]", @$this->element->payment_params->pending_status);
	?></td>
</tr>
<tr>
	<td class="key">
		<label for="data[payment][payment_params][verified_status]"><?php
			echo JText::_('VERIFIED_STATUS');
		?></label>
	</td>
	<td><?php
		echo $this->data['order_statuses']->display("data[payment][payment_params][verified_status]", @$this->element->payment_params->verified_status);
	?></td>
</tr>
<tr>
	<td class="key">
		<label for="data[payment][payment_params][refunded_status]"><?php
			echo JText::_('Refund status');
		?></label>
	</td>
	<td><?php
		echo $this->data['order_statuses']->display("data[payment][payment_params][refunded_status]", @$this->element->payment_params->refunded_status);
		echo '<p><small>' . JText::_('Hikashops callback URL must be set in Quickpay\'s manager for the automatic refund function to work in HikaShop') . '</small></p>';
	?></td>
</tr>
<tr>
	<td class="key">
		<label for="data[payment][payment_params][refundshipping]"><?php
			echo JText::_( 'Include shipping fee in refunds if order has been shipped' );
		?></label>
	</td>
	<td>
		<input type="radio" name="data[payment][payment_params][refundshipping]" value="0" <?php if($this->element->payment_params->refundshipping==0) { ?> checked="checked" <?php } ?>  /> No
		<input type="radio" name="data[payment][payment_params][refundshipping]" value="1" <?php if($this->element->payment_params->refundshipping==1) { ?> checked="checked" <?php } ?>  /> Yes
	</td>
</tr>
<tr>
	<td class="key">
		<label for="data[payment][payment_params][branding_id]"><?php
			echo JText::_('Branding ID');
		?></label>
	</td>
	<td>
		<input type="text" name="data[payment][payment_params][branding_id]" value="<?php echo $this->escape(@$this->element->payment_params->branding_id); ?>" />
		<?php echo '<p><small>If left empty, the default branding / theme will be used</small></p>'; ?>
	</td>
</tr>
<tr>
	<td class="key">
		<label for="data[payment][payment_params][language]"><?php
			echo JText::_('Language');
		?></label>
	</td>
	<td>
		<select id="params_language" name="data[payment][payment_params][language]">
			<option value="auto" <?php if($this->element->payment_params->language=="auto") { ?> selected="selected" <?php } ?>>Auto detect</option>
			<option value="da" <?php if($this->element->payment_params->language=="da") { ?> selected="selected" <?php } ?>>Danish</option>
			<option value="de" <?php if($this->element->payment_params->language=="de") { ?> selected="selected" <?php } ?>>German</option>
			<option value="en" <?php if($this->element->payment_params->language=="en") { ?> selected="selected" <?php } ?>>English</option>
			<option value="es" <?php if($this->element->payment_params->language=="es") { ?> selected="selected" <?php } ?>>Spanish</option>
			<option value="fo" <?php if($this->element->payment_params->language=="fo") { ?> selected="selected" <?php } ?>>Faeroese</option>
			<option value="fi" <?php if($this->element->payment_params->language=="fi") { ?> selected="selected" <?php } ?>>Finnish</option>
			<option value="fr" <?php if($this->element->payment_params->language=="fr") { ?> selected="selected" <?php } ?>>French</option>
			<option value="kl" <?php if($this->element->payment_params->language=="ki") { ?> selected="selected" <?php } ?>>Greenlandish</option>
			<option value="it" <?php if($this->element->payment_params->language=="it") { ?> selected="selected" <?php } ?>>Italian</option>
			<option value="no" <?php if($this->element->payment_params->language=="no") { ?> selected="selected" <?php } ?>>Norwegian</option>
			<option value="nl" <?php if($this->element->payment_params->language=="ni") { ?> selected="selected" <?php } ?>>Dutch</option>
			<option value="pl" <?php if($this->element->payment_params->language=="pl") { ?> selected="selected" <?php } ?>>Polish</option>
			<option value="ru" <?php if($this->element->payment_params->language=="ru") { ?> selected="selected" <?php } ?>>Russian</option>
			<option value="sv" <?php if($this->element->payment_params->language=="sv") { ?> selected="selected" <?php } ?>>Swedish</option>
		</select>
	</td>
</tr>
<tr>
	<td class="key">
		<label for="data[payment][payment_params][fallback_language]"><?php
			echo JText::_('Fallback language');
		?></label>
	</td>
	<td>
		<select id="params_fallback_language" name="data[payment][payment_params][fallback_language]">
			<option value="en" <?php if($this->element->payment_params->fallback_language=="en") { ?> selected="selected" <?php } ?>>English</option>
			<option value="da" <?php if($this->element->payment_params->fallback_language=="da") { ?> selected="selected" <?php } ?>>Danish</option>
			<option value="de" <?php if($this->element->payment_params->fallback_language=="de") { ?> selected="selected" <?php } ?>>German</option>
			<option value="es" <?php if($this->element->payment_params->fallback_language=="es") { ?> selected="selected" <?php } ?>>Spanish</option>
			<option value="fo" <?php if($this->element->payment_params->fallback_language=="fo") { ?> selected="selected" <?php } ?>>Faeroese</option>
			<option value="fi" <?php if($this->element->payment_params->fallback_language=="fi") { ?> selected="selected" <?php } ?>>Finnish</option>
			<option value="fr" <?php if($this->element->payment_params->fallback_language=="fr") { ?> selected="selected" <?php } ?>>French</option>
			<option value="kl" <?php if($this->element->payment_params->fallback_language=="ki") { ?> selected="selected" <?php } ?>>Greenlandish</option>
			<option value="it" <?php if($this->element->payment_params->fallback_language=="it") { ?> selected="selected" <?php } ?>>Italian</option>
			<option value="no" <?php if($this->element->payment_params->fallback_language=="no") { ?> selected="selected" <?php } ?>>Norwegian</option>
			<option value="nl" <?php if($this->element->payment_params->fallback_language=="ni") { ?> selected="selected" <?php } ?>>Dutch</option>
			<option value="pl" <?php if($this->element->payment_params->fallback_language=="pl") { ?> selected="selected" <?php } ?>>Polish</option>
			<option value="ru" <?php if($this->element->payment_params->fallback_language=="ru") { ?> selected="selected" <?php } ?>>Russian</option>
			<option value="sv" <?php if($this->element->payment_params->fallback_language=="sv") { ?> selected="selected" <?php } ?>>Swedish</option>
		</select>
		<?php
			echo '<p><small>' . JText::_('Uses this language if a language QuickPay isn\'t translated to is detected/used.<br /> Fallback language is only active if "Language" is set to "Auto detect"') . '</small></p>';
		?>
	</td>
</tr>
<tr>
	<td class="key">
		<label for="data[payment][payment_params][receive_alert]"><?php
			echo JText::_('E-mail alerts');
		?></label>
	</td>
	<td>
		<input type="radio" name="data[payment][payment_params][receive_alert]" value="0" <?php if($this->element->payment_params->receive_alert==0) { ?> checked="checked" <?php } ?> /> No  
		<input type="radio" name="data[payment][payment_params][receive_alert]" value="1" <?php if($this->element->payment_params->receive_alert==1) { ?> checked="checked" <?php } ?>  /> Yes    
	</td>
</tr>
<tr>
	<td class="key">
		<label for="data[payment][payment_params][alert_email]"><?php
			echo JText::_('Send alerts to');
		?></label>
	</td>
	<td>
		<input type="text" name="data[payment][payment_params][alert_email]" value="<?php echo $this->escape(@$this->element->payment_params->alert_email); ?>" /> 
	</td>
</tr>
<tr>
    <td class="key">
        <label for="data[payment][payment_params][resurs_bank]"><?php
            echo JText::_('Resurs Bank');
            ?></label>
    </td>
    <td>
        <input type="radio" name="data[payment][payment_params][resurs_bank]" value="0" <?php if($this->element->payment_params->resurs_bank==0) { ?> checked="checked" <?php } ?> /> No
        <input type="radio" name="data[payment][payment_params][resurs_bank]" value="1" <?php if($this->element->payment_params->resurs_bank==1) { ?> checked="checked" <?php } ?>  /> Yes
    </td>
</tr>